Denys Vlasenko 6824298ab4 hush: fix ELIF cmd1;cmd2 THEN ... not executing cmd2, closes 15571 há 1 ano atrás
..
and-or.right 715f712d15 move hush-parsing/and-or.tests to hush-misc/* há 15 anos atrás
and-or.tests 715f712d15 move hush-parsing/and-or.tests to hush-misc/* há 15 anos atrás
assignment1.right 2b576b8e76 hush: fix mishandling of a'b'c=fff as assignments. They are not. há 16 anos atrás
assignment1.tests 2b576b8e76 hush: fix mishandling of a'b'c=fff as assignments. They are not. há 16 anos atrás
assignment2.right 9793fc576a hush testsuite: fix another false positive há 8 anos atrás
assignment2.tests 9793fc576a hush testsuite: fix another false positive há 8 anos atrás
assignment3.right 7b4c0fd5f4 hush: fix improper handling of newline and hash chars in few corner cases há 14 anos atrás
assignment3.tests 7b4c0fd5f4 hush: fix improper handling of newline and hash chars in few corner cases há 14 anos atrás
assignment4.right 29f9b7268a hush: fix misparsing of "... do eval a= ...". Closes 3721 há 13 anos atrás
assignment4.tests 29f9b7268a hush: fix misparsing of "... do eval a= ...". Closes 3721 há 13 anos atrás
assignment5.right 5fa0505f8a hush: fix "set -e; false || x=1; echo OK" há 6 anos atrás
assignment5.tests 5fa0505f8a hush: fix "set -e; false || x=1; echo OK" há 6 anos atrás
break1.right 6a2d40f239 hush: support "break N" and "continue N" há 16 anos atrás
break1.tests ba2dcccd79 *: trailing empty lines removed há 14 anos atrás
break2.right 6a2d40f239 hush: support "break N" and "continue N" há 16 anos atrás
break2.tests 6a2d40f239 hush: support "break N" and "continue N" há 16 anos atrás
break3.right 6a2d40f239 hush: support "break N" and "continue N" há 16 anos atrás
break3.tests 6a2d40f239 hush: support "break N" and "continue N" há 16 anos atrás
break4.right 918a34b9e0 hush: fix "while false; ..." exitcode; add testsuites há 16 anos atrás
break4.tests 918a34b9e0 hush: fix "while false; ..." exitcode; add testsuites há 16 anos atrás
break5.right fcf37c3183 hush: fix break'ing out of {} and () groups; with testcase há 16 anos atrás
break5.tests fcf37c3183 hush: fix break'ing out of {} and () groups; with testcase há 16 anos atrás
builtin1.right dadfb4975b hush: add #defines to switch off break/continue if loops are not supported há 16 anos atrás
builtin1.tests dadfb4975b hush: add #defines to switch off break/continue if loops are not supported há 16 anos atrás
case1.right e9bda90e54 hush: fix problems with case in subshells and with "case esac" há 15 anos atrás
case1.tests e9bda90e54 hush: fix problems with case in subshells and with "case esac" há 15 anos atrás
colon.right dd316dd283 hush: add support for ':'; create testsuite entries há 16 anos atrás
colon.tests f8d01d3f66 hush: fix a bug where we were requiring semicolon here: (cmd;) há 16 anos atrás
command2.right 6606c519ef hush: add command2.tests from ash tests há 6 anos atrás
command2.tests 6606c519ef hush: add command2.tests from ash tests há 6 anos atrás
compound.right 342a63d659 hush_test: add some pathological compound list tests há 15 anos atrás
compound.tests 4f26c97b9a make compound.tests executable há 15 anos atrás
continue1.right 4554b721ad hush: small fix for repeated continue and fix for wrong loop depth count há 16 anos atrás
continue1.tests 4554b721ad hush: small fix for repeated continue and fix for wrong loop depth count há 16 anos atrás
continue2.right cd418a2670 hush: fix a bunch of obscure while/until/continue bugs há 15 anos atrás
continue2.tests 4ed67dd3d5 make hush-misc/*.tests executable há 15 anos atrás
continue3.right cd418a2670 hush: fix a bunch of obscure while/until/continue bugs há 15 anos atrás
continue3.tests 4ed67dd3d5 make hush-misc/*.tests executable há 15 anos atrás
control_char1.right 9809a82b59 hush: fix raw ^C handlisg in single-quoted strings há 6 anos atrás
control_char1.tests 9809a82b59 hush: fix raw ^C handlisg in single-quoted strings há 6 anos atrás
control_char2.right 1f1911239c hush: fix handling of ^C in eval há 6 anos atrás
control_char2.tests 1f1911239c hush: fix handling of ^C in eval há 6 anos atrás
control_char3.right 1b7a9b68d0 hush: fix handling of \^C and "^C" há 3 anos atrás
control_char3.tests 1b7a9b68d0 hush: fix handling of \^C and "^C" há 3 anos atrás
control_char4.right 1b7a9b68d0 hush: fix handling of \^C and "^C" há 3 anos atrás
control_char4.tests 1b7a9b68d0 hush: fix handling of \^C and "^C" há 3 anos atrás
echo_write_error.right 8ee2adab21 echo: do not retry on write errors há 13 anos atrás
echo_write_error.tests 8ee2adab21 echo: do not retry on write errors há 13 anos atrás
elif1.right 6824298ab4 hush: fix ELIF cmd1;cmd2 THEN ... not executing cmd2, closes 15571 há 1 ano atrás
elif1.tests 6824298ab4 hush: fix ELIF cmd1;cmd2 THEN ... not executing cmd2, closes 15571 há 1 ano atrás
elif2.right 6824298ab4 hush: fix ELIF cmd1;cmd2 THEN ... not executing cmd2, closes 15571 há 1 ano atrás
elif2.tests 6824298ab4 hush: fix ELIF cmd1;cmd2 THEN ... not executing cmd2, closes 15571 há 1 ano atrás
empty_args.right f37eb3999b hush: fix handling of empty arguments há 15 anos atrás
empty_args.tests f37eb3999b hush: fix handling of empty arguments há 15 anos atrás
empty_for.right 6eaf8deddd hush: fix "for a in; do echo 'I should never run'; done" bug há 16 anos atrás
empty_for.tests 6eaf8deddd hush: fix "for a in; do echo 'I should never run'; done" bug há 16 anos atrás
empty_for1.right a5db1d7354 hush: fix another case where empty "for" wasn't setting exitcode to 0 há 6 anos atrás
empty_for1.tests a5db1d7354 hush: fix another case where empty "for" wasn't setting exitcode to 0 há 6 anos atrás
empty_for2.right ff182a3d68 hush: support "for v; do ... done" syntax (implied 'in "$@"') há 16 anos atrás
empty_for2.tests ff182a3d68 hush: support "for v; do ... done" syntax (implied 'in "$@"') há 16 anos atrás
env_and_func.right cb6ff25afe hush: fix bug where in "var=val func" var's value is not visible in func há 15 anos atrás
env_and_func.tests 9abf53beb4 ash: eval: Variable assignments on functions are no longer persistent há 6 anos atrás
errexit1.right 9fda609a60 hush: add support for "set -e" há 7 anos atrás
errexit1.tests 9fda609a60 hush: add support for "set -e" há 7 anos atrás
eval1.right 928e2a7ef4 ash: [EVAL] Make eval with empty arguments return 0 há 8 anos atrás
eval1.tests 928e2a7ef4 ash: [EVAL] Make eval with empty arguments return 0 há 8 anos atrás
eval2.right 78c9c736ab hush: fix 'eval ""' handling há 8 anos atrás
eval2.tests 78c9c736ab hush: fix 'eval ""' handling há 8 anos atrás
exec.right 3c7167b508 add tests for basic fd open/close/dupe há 15 anos atrás
exec.tests 6c9be7f451 hush: heredoc support, based on patch by Mike Frysinger (vapier AT gentoo.org) há 15 anos atrás
exit1.right efea9d2819 hush: fix EXIT trap recursion case; check redirection failures há 15 anos atrás
exit1.tests efea9d2819 hush: fix EXIT trap recursion case; check redirection failures há 15 anos atrás
exitcode1.right eb17b6f6c9 ash: eval: Return status in eval functions há 8 anos atrás
exitcode1.tests eb17b6f6c9 ash: eval: Return status in eval functions há 8 anos atrás
exitcode2.right ea7d2f6ec0 ash: fix error code regression há 7 anos atrás
exitcode2.tests ea7d2f6ec0 ash: fix error code regression há 7 anos atrás
exitcode_EACCES.right c775f829db sh testsuite: add tests for exitcode on failure to exec há 8 anos atrás
exitcode_EACCES.tests c775f829db sh testsuite: add tests for exitcode on failure to exec há 8 anos atrás
exitcode_ENOENT.right c775f829db sh testsuite: add tests for exitcode on failure to exec há 8 anos atrás
exitcode_ENOENT.tests c775f829db sh testsuite: add tests for exitcode on failure to exec há 8 anos atrás
exitcode_trap2.right c91950f315 ash,hush: testcase for "exit" without arguments in a trap há 4 anos atrás
exitcode_trap2.tests 9aa751b08a shells: fix exitcode_trapN tests to avoid races há 4 anos atrás
exitcode_trap3.right bb095f4838 hush: implement "return NUM in trap sets $? after trap" há 4 anos atrás
exitcode_trap3.tests bb095f4838 hush: implement "return NUM in trap sets $? after trap" há 4 anos atrás
exitcode_trap4.right bb095f4838 hush: implement "return NUM in trap sets $? after trap" há 4 anos atrás
exitcode_trap4.tests bb095f4838 hush: implement "return NUM in trap sets $? after trap" há 4 anos atrás
exitcode_trap5.right bb095f4838 hush: implement "return NUM in trap sets $? after trap" há 4 anos atrás
exitcode_trap5.tests bb095f4838 hush: implement "return NUM in trap sets $? after trap" há 4 anos atrás
exitcode_trap6.right 3ced804e31 hush: make "exit" in trap use pre-trap exitcode - fix for nested trap há 4 anos atrás
exitcode_trap6.tests 9aa751b08a shells: fix exitcode_trapN tests to avoid races há 4 anos atrás
exitcode_trap7.right e53c7dbafc hush: fix set -n to act immediately, not just after run_list() há 3 anos atrás
exitcode_trap7.tests e53c7dbafc hush: fix set -n to act immediately, not just after run_list() há 3 anos atrás
export-n.right 90b607d79a hush: quote variable values printed by "set" (match ash behavior) há 1 ano atrás
export-n.tests ad4bd0548a hush: export -n support há 15 anos atrás
export.right bf25fbccb9 hush: fix handling of } which is not a closing one in { cmd; } há 15 anos atrás
export.tests 0b677d8337 hush: fix some TODOs. TODO in export builting: +250 bytes. há 15 anos atrás
export1.right 63d765e666 shells: add tests for backslashes in export VAR=VAL há 5 anos atrás
export1.tests 63d765e666 shells: add tests for backslashes in export VAR=VAL há 5 anos atrás
for.right 112889d706 hush: copy for.tests from ash testsuite há 9 anos atrás
for.tests 112889d706 hush: copy for.tests from ash testsuite há 9 anos atrás
for_with_bslashes.right 9809a82b59 hush: fix raw ^C handlisg in single-quoted strings há 6 anos atrás
for_with_bslashes.tests 9809a82b59 hush: fix raw ^C handlisg in single-quoted strings há 6 anos atrás
for_with_keywords.right 733e3fbc2f hush: support "for if in do done then; do echo $if; done" case há 16 anos atrás
for_with_keywords.tests 733e3fbc2f hush: support "for if in do done then; do echo $if; done" case há 16 anos atrás
func1.right ce4acbbab6 hush: add function tests há 15 anos atrás
func1.tests ce4acbbab6 hush: add function tests há 15 anos atrás
func2.right ce4acbbab6 hush: add function tests há 15 anos atrás
func2.tests ce4acbbab6 hush: add function tests há 15 anos atrás
func3.right 3d40d8e655 hush: return builtin by Bayram Kurumahmut (kbayram AT ubicom.com) há 15 anos atrás
func3.tests 3d40d8e655 hush: return builtin by Bayram Kurumahmut (kbayram AT ubicom.com) há 15 anos atrás
func4.right 572930027d hush: nommu fix for function passing há 15 anos atrás
func4.tests 3581c62515 whitespace fixes há 15 anos atrás
func5.right 12bcc76e9b hush_test: test for subshell function syntax há 15 anos atrás
func5.tests fbf44854a3 hush: support "f() (cmd)" functions há 6 anos atrás
func_args1.right d40fa397e4 hush: add two testcases há 15 anos atrás
func_args1.tests bc9bee01f3 hush-misc/func_args1.tests: remove "UNFIXED BUG", it does not fail há 9 anos atrás
func_local1.right 295fef80bc hush: add support for local builtin há 15 anos atrás
func_local1.tests 295fef80bc hush: add support for local builtin há 15 anos atrás
func_local2.right 295fef80bc hush: add support for local builtin há 15 anos atrás
func_local2.tests 295fef80bc hush: add support for local builtin há 15 anos atrás
func_prio_over_builtins.right 75481d3634 hush: functions have priority over builtins (!) há 7 anos atrás
func_prio_over_builtins.tests 75481d3634 hush: functions have priority over builtins (!) há 7 anos atrás
func_return1.right 5b3d2eb327 hush: fix "true | func_with_return" not allowing return. há 7 anos atrás
func_return1.tests 5b3d2eb327 hush: fix "true | func_with_return" not allowing return. há 7 anos atrás
func_return2.right 5b3d2eb327 hush: fix "true | func_with_return" not allowing return. há 7 anos atrás
func_return2.tests 5b3d2eb327 hush: fix "true | func_with_return" not allowing return. há 7 anos atrás
group_in_braces.right 672a55e606 hush: allow { cmd } to not be terminated by semicolon in some cases há 8 anos atrás
group_in_braces.tests 672a55e606 hush: allow { cmd } to not be terminated by semicolon in some cases há 8 anos atrás
if_false_exitcode.right 0e15138c03 hush: fix "if false; then...fi" exitcode; há 15 anos atrás
if_false_exitcode.tests 0e15138c03 hush: fix "if false; then...fi" exitcode; há 15 anos atrás
last_amp.right 5d6b8729ed hush testsuite: add many tests from ash testsuite há 8 anos atrás
last_amp.tests 5d6b8729ed hush testsuite: add many tests from ash testsuite há 8 anos atrás
local1.right 5d6b8729ed hush testsuite: add many tests from ash testsuite há 8 anos atrás
local1.tests 5d6b8729ed hush testsuite: add many tests from ash testsuite há 8 anos atrás
nommu1.right cbfe6ad4c6 hush: fix \<newline> handling on NOMMU há 15 anos atrás
nommu1.tests cbfe6ad4c6 hush: fix \<newline> handling on NOMMU há 15 anos atrás
nommu2.right b70cef71eb hush: two NOMMU fixes for bugs 877 and 883 há 15 anos atrás
nommu2.tests b70cef71eb hush: two NOMMU fixes for bugs 877 and 883 há 15 anos atrás
nommu3.right b5be13ccd9 hush: fix a nommu bug where a part of function body is lost if run in a pipe há 9 anos atrás
nommu3.tests 450a367a11 typo fix há 9 anos atrás
nulltick1.right 5d6b8729ed hush testsuite: add many tests from ash testsuite há 8 anos atrás
nulltick1.tests 5d6b8729ed hush testsuite: add many tests from ash testsuite há 8 anos atrás
opts1.right a67a9627d0 hush: do not process options after non-option args há 15 anos atrás
opts1.tests a67a9627d0 hush: do not process options after non-option args há 15 anos atrás
pid.right 16c2fea280 hush: fix $$ handling há 16 anos atrás
pid.tests 16c2fea280 hush: fix $$ handling há 16 anos atrás
piped_input.right 1237d627e9 hush: fix this case: echo "SCRIPT" | hush há 3 anos atrás
piped_input.tests cad20ced86 typo fix há 3 anos atrás
pipefail.right 6696eac274 hush: add support for "set -o pipefail" há 14 anos atrás
pipefail.tests 6696eac274 hush: add support for "set -o pipefail" há 14 anos atrás
read.right d67cef2425 hush: fix read builtin to not read ahead past eol and to not use há 17 anos atrás
read.tests d67cef2425 hush: fix read builtin to not read ahead past eol and to not use há 17 anos atrás
return1.right 68d5cb5dac hush: fix a case where return in sourced file has no effect há 13 anos atrás
return1.tests 68d5cb5dac hush: fix a case where return in sourced file has no effect há 13 anos atrás
set-n1.right e53c7dbafc hush: fix set -n to act immediately, not just after run_list() há 3 anos atrás
set-n1.tests e53c7dbafc hush: fix set -n to act immediately, not just after run_list() há 3 anos atrás
shift.right cd7f4d27a2 hush: improve 2 testsuite tests há 17 anos atrás
shift.tests cd7f4d27a2 hush: improve 2 testsuite tests há 17 anos atrás
shift1.right e59591a364 hush: Print error messages on shift -1 há 7 anos atrás
shift1.tests e59591a364 hush: Print error messages on shift -1 há 7 anos atrás
sig_exitcode.right e16f7eb596 hush: output bash-compat killing signal names há 4 anos atrás
sig_exitcode.tests a4899efd03 hush: fix exitcodes of killed processes há 15 anos atrás
source1.right c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* há 8 anos atrás
source1.tests c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* há 8 anos atrás
source2.right c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* há 8 anos atrás
source2.tests c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* há 8 anos atrás
source3.right 992e0ff7e9 hush: fix ". EMPTY_LINE" not setting $? to 0 há 8 anos atrás
source3.tests 992e0ff7e9 hush: fix ". EMPTY_LINE" not setting $? to 0 há 8 anos atrás
source4.right c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* há 8 anos atrás
source4.tests c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* há 8 anos atrás
source5.right c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* há 8 anos atrás
source5.tests c7a774dde4 sh testsuite: sync ash-misc/source* and hush-misc/source* há 8 anos atrás
source_argv_and_shift.right 2b1559056c hush: fix a bug in argv restoration after sourcing a file há 7 anos atrás
source_argv_and_shift.tests 2b1559056c hush: fix a bug in argv restoration after sourcing a file há 7 anos atrás
syntax_err.right db2a9b683a hush: finally make `cmd` safe on NOMMU há 15 anos atrás
syntax_err.tests cd7f4d27a2 hush: improve 2 testsuite tests há 17 anos atrás
syntax_err_negate.right b6e6556b31 hush: improve parse_stream: does not require parsing context struct; há 15 anos atrás
syntax_err_negate.tests a84420062a hush: support "! cmd | cmd" negation há 16 anos atrás
tickquote1.right cafb2d195d hush: add tickquote1.tests from ash testsuite há 7 anos atrás
tickquote1.tests cafb2d195d hush: add tickquote1.tests from ash testsuite há 7 anos atrás
unicode1.right c538d5bcc3 hush: make ${#var} unicode-aware há 10 anos atrás
unicode1.tests 10ad622dc2 Spelling fixes in comments, documentation, tests and examples há 7 anos atrás
until1.right cd418a2670 hush: fix a bunch of obscure while/until/continue bugs há 15 anos atrás
until1.tests 4ed67dd3d5 make hush-misc/*.tests executable há 15 anos atrás
wait1.right 7e6753609d hush: fix "wait PID" há 8 anos atrás
wait1.tests 7e6753609d hush: fix "wait PID" há 8 anos atrás
wait2.right 7e6753609d hush: fix "wait PID" há 8 anos atrás
wait2.tests 7e6753609d hush: fix "wait PID" há 8 anos atrás
wait3.right 7e6753609d hush: fix "wait PID" há 8 anos atrás
wait3.tests 7e6753609d hush: fix "wait PID" há 8 anos atrás
wait4.right 02affb4afd hush: rework "wait %jobspec" to work in non-interactive shells too há 8 anos atrás
wait4.tests 02affb4afd hush: rework "wait %jobspec" to work in non-interactive shells too há 8 anos atrás
wait5.right 02affb4afd hush: rework "wait %jobspec" to work in non-interactive shells too há 8 anos atrás
wait5.tests 02affb4afd hush: rework "wait %jobspec" to work in non-interactive shells too há 8 anos atrás
wait6.right 840a4355d0 hush: fix "(sleep 1; exit 3) & sleep 2; echo $?; wait $!; echo $?" há 7 anos atrás
wait6.tests 840a4355d0 hush: fix "(sleep 1; exit 3) & sleep 2; echo $?; wait $!; echo $?" há 7 anos atrás
wait7.right d4dd48f294 shell: add testsuite for "wait $pid" waiting for other tasks há 4 anos atrás
wait7.tests d4dd48f294 shell: add testsuite for "wait $pid" waiting for other tasks há 4 anos atrás
while1.right 918a34b9e0 hush: fix "while false; ..." exitcode; add testsuites há 16 anos atrás
while1.tests 918a34b9e0 hush: fix "while false; ..." exitcode; add testsuites há 16 anos atrás
while2.right cd418a2670 hush: fix a bunch of obscure while/until/continue bugs há 15 anos atrás
while2.tests 4ed67dd3d5 make hush-misc/*.tests executable há 15 anos atrás
while3.right 00ae989ee5 hush: fix a corner case of empty "do \n done" structure há 13 anos atrás
while3.tests 00ae989ee5 hush: fix a corner case of empty "do \n done" structure há 13 anos atrás
while4.right 3beab83e4f hush: fix for "while false && true; do echo BUG; break; done". closes 6170 há 11 anos atrás
while4.tests 3beab83e4f hush: fix for "while false && true; do echo BUG; break; done". closes 6170 há 11 anos atrás
while_in_subshell.right f8d01d3f66 hush: fix a bug where we were requiring semicolon here: (cmd;) há 16 anos atrás
while_in_subshell.tests f8d01d3f66 hush: fix a bug where we were requiring semicolon here: (cmd;) há 16 anos atrás